-- Added:
-- Leveling messages
-- Login message (guild and popup)
-- Death counter.
-- Thank you message for resurrection

-- To be added:
-- Config
-- 

local LoadedFrame = CreateFrame("Frame")
LoadedFrame:RegisterEvent("ADDON_LOADED")

function LoadedFrame:OnEvent(event, arg1)
	if event == "ADDON_LOADED" and arg1 == "TheBrohmanMultiaddon" then
		if GuildMessagesValue == nil then
			GuildMessagesValue = 1
		end
		
		if GuildMessagesText then
			GuildMessagesText = GuildMessagesText
		else
			GuildMessagesText = "Hello there, lovely people!"
		end
		
		if RessMsg == nil then
			RessMsg = 1
		end
		
		if CharacterDead == nil then
			CharacterDead = 0
		end
		
		if OverallDead == nil then
			OverallDead = 0
		end
		
		if DeathMessages == nil then
			DeathMessages = 1
		end
	end
end
LoadedFrame:SetScript("OnEvent", LoadedFrame.OnEvent);

local EventFrame = CreateFrame("Frame") -- Login Thingy (not checking if loaded)
EventFrame:RegisterEvent("PLAYER_LOGIN")
EventFrame:SetScript("OnEvent", function(self,event,...)
	if IsInGuild("player") then
		if GuildMessagesValue == 1 then
			SendChatMessage(""..GuildMessagesText.."" , "GUILD")
		else
		end
	else
	end
	message("Greetings " .. UnitName("Player").. "! Nice to see you! Last time I checked, you were in level " .. UnitLevel("Player") .. ". Hope today's WoWing is fruitfull and fun!")
end)

local ressFrame = CreateFrame("Frame")
ressFrame:RegisterEvent("RESURRECT_REQUEST")
ressFrame:SetScript("OnEvent", function(self, ...)
	if RessMsg == 1 then
		AcceptResurrect();
		SendChatMessage("Thank you so much for the resurrection!", "SAY")
	end
end)

local dieFrame = CreateFrame("Frame")
dieFrame:RegisterEvent("PLAYER_DEAD")
dieFrame:SetScript("OnEvent", function(self, ...)
	OverallDead = OverallDead + 1
	CharacterDead = CharacterDead + 1
	if DeathMessages == 1 then
		if CharacterDead == 1 then
			print("You just died for the first time on this character!")
			print("Total deaths overall: |cff00ccff"..OverallDead.."|r!")
		else
			print("Amount of deaths on this character: |cff00ccff"..CharacterDead.."|r!")
			print("Total deaths overall: |cff00ccff"..OverallDead.."|r!")
		end
	end
end)

local lvlFrame = CreateFrame("Frame")
lvlFrame:RegisterEvent("PLAYER_LEVEL_UP")
lvlFrame:SetScript("OnEvent",
	function(self, event, ...)
	local arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9 = ...
	message("Congratulations on reaching level " .. arg1 .. ", " .. UnitName("Player") .. "!")
	if IsInGuild("player") then
		if arg1 == 100 then
			SendChatMessage("YAAAAAAAAAY! 100! Woohoooo!", "GUILD")
		elseif arg1 == 5 then
		elseif (arg1 % 5) == 0 then
			SendChatMessage("DING level " .. arg1 .. "! :D", "GUILD")
		end
	else
	end
end)

SLASH_MAINCOMMANDS1, SLASH_MAINCOMMANDS2 = '/tbm', '/tbma';
function CommandHandler(input)
	local command, text = input:match("^(%S*)%s*(.-)$");
	
	if command:lower() == 'toggle' then
		if text == nil or text == '' then
			print("Wrong usage of the toggle command. Use like this: |cff00ccff/tbm toggle ress/guild/deaths|r!")
		elseif text == 'ress' then
			if RessMsg == 1 then
				RessMsg = 0
				print("Resurrection message&accept has been toggled |cff00ccffoff|r!")
			else
				RessMsg = 1
				print("Resurrection message&accept has been toggled |cff00ccffon|r!")
			end
		elseif text == 'guild' then
			if GuildMessagesValue == 1 then
				GuildMessagesValue = 0
				print("Guild login-message has been toggled |cff00ccffoff|r!")
			else
				GuildMessagesValue = 1
				print("Guild login-message has been toggled |cff00ccffon|r!")
			end
		elseif text == 'deaths' then
			if DeathMessages == 1 then
				DeathMessages = 0
				print("Death Counter messages has been toggled |cff00ccffoff|r!")
			else
				DeathMessages = 1
				print("Death Counter messages has been toggled |cff00ccffon|r!")
			end
		else
			print("Wrong usage of the toggle command. Use like this: |cff00ccff/tbm toggle ress/guild/deaths|r!")
		end
	elseif command:lower() == 'guild' then
		if text == nil or text == '' then
			print("Current login message: |cff00ccff"..GuildMessagesText.."|r.")
		else
			print("Guild-logon message changed to: |cff00ccff"..text.."|r.")
			GuildMessagesText = text
		end
	elseif command:lower() == 'deaths' then
		print("Amount of deaths on this character: |cff00ccff"..CharacterDead.."|r!")
		print("Total deaths overall: |cff00ccff"..OverallDead.."|r!")
	elseif command:lower() == 'meha' or command:lower() == 'mehriaa' then
			print("|cff00ccffNever forgotten... Sleep well my dear princess <3|r")
	else
		print("List of commands:")
		print("/tbm toggle ress/guild/deaths- |cff00ccffToggle the different modules!|r")
		print("/tbm - |cff00ccffShows all the available commands!|r")
		print("/tbm guild - |cff00ccffShows/Sets the current guild message!")
		print("/tbm deaths - |cff00ccffShows you how many times you have died!")
	end
end
SlashCmdList["MAINCOMMANDS"] = CommandHandler; -- Also a valid assignment strategy